import {List, Stack, Typography, useMediaQuery, useTheme} from "@mui/material";
import SecureImage from "@/common/assets/images/home/secure.svg";
import BulletItem from "@/pages/Home/sections/Header/components/BulletItem";

export const Safety = () => {
    const theme = useTheme();
    const isMobile = useMediaQuery(theme.breakpoints.down("lg"));

    return (
        <Stack direction="row" alignItems="center" justifyContent="space-evenly" sx={{mt: 13}}>
            {!isMobile && <img src={SecureImage} alt="Secure" height={400}/>}

            <Stack direction="column" justifyContent="center" sx={{width: "45rem"}}>
                <Typography variant="h3" fontWeight={700} color="black">Sicherheit</Typography>
                <Typography variant="h5" fontWeight={500} color="black">LicenseAPI legt hohen Wert auf die
                    Sicherheit Ihrer Daten</Typography>

                <List sx={{maxWidth: "35rem", mt: 2}}>
                    <BulletItem text="Traffic verschlüsselt durch SSL / TLS 1.3"/>
                    <BulletItem text="Alle Lizenzen, Accounts und Gruppen unter AES-256-CBC verschlüsselt"/>
                    <BulletItem text="Daten werden in Deutschland DSGVO-Konform gesichert"/>
                </List>
            </Stack>
        </Stack>
    )
}